Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.blogspot.applications4android.comicreader.core
Class IntentGen

    java.lang.Object
      com.blogspot.applications4android.comicreader.core.IntentGen

    public class IntentGen

extends java.lang.Object

Helper class to generate emails

Method Summary
`static Intent` | `emailChooserIntent(java.lang.String[] to, java.lang.String subj, java.lang.String body, boolean html, java.lang.String title)` Generates an email chooser Intent and returns it back
`static Intent` | `linkViewIntent(java.lang.String link)` Generates an intent for viewing a url
`static Intent` | `shareLinkChooserIntent(java.lang.String subj, java.lang.String link, java.lang.String title)` Generates a generic chooser Intent for sharing links and returns it back
`static Intent` | `shareLinkChooserIntent(java.lang.String subj, java.net.URL link, java.lang.String title)` Generates a generic chooser Intent for sharing links and returns it back

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### emailChooserIntent

    public static Intent emailChooserIntent(java.lang.String[] to,
                                            java.lang.String subj,
                                            java.lang.String body,
                                            boolean html,
                                            java.lang.String title)

  Generates an email chooser Intent and returns it back

  Parameters:
    `to` - list of 'to' addresses
    `subj` - subject of the email
    `body` - body of the email
    `html` - whether or not the body is html
    `title` - title of the created chooser intent
  Returns:
    the desired intent using which one can 'startActivity'

### shareLinkChooserIntent

    public static Intent shareLinkChooserIntent(java.lang.String subj,
                                                java.net.URL link,
                                                java.lang.String title)

  Generates a generic chooser Intent for sharing links and returns it back

  Parameters:
    `subj` - subject for the share
    `link` - link to be shared
    `title` - title of the created chooser intent
  Returns:
    the desired intent using which one can 'startActivity'

### shareLinkChooserIntent

    public static Intent shareLinkChooserIntent(java.lang.String subj,
                                                java.lang.String link,
                                                java.lang.String title)

  Generates a generic chooser Intent for sharing links and returns it back

  Parameters:
    `subj` - subject for the share
    `link` - link to be shared
    `title` - title of the created chooser intent
  Returns:
    the desired intent using which one can 'startActivity'

### linkViewIntent

    public static Intent linkViewIntent(java.lang.String link)

  Generates an intent for viewing a url

  Parameters:
    `link` - url to be viewed
  Returns:
    desired intent using which one can 'startActivity'

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD